<?php
function drk_add_pgp_meta_boxes(){
	add_meta_box(
		"post_metadata_pgp_id",
		"PGP ",
		"drk_meta_box_pgp",
		array("news","markets","tutorials","forum","venders",'tlg_channels','other_services','top_forums'),
		"normal",
		'default'
	);
}
add_action('add_meta_boxes', "drk_add_pgp_meta_boxes");

function drk_meta_box_pgp( ) {
	global $post;
	$pgp_value = get_post_meta($post->ID, '_pgp',true);
	?>
	<textarea class="widefat" cols="50" rows="5" name="_pgp"><?php echo $pgp_value?></textarea>
<?php
}

function drk_save_pgp_meta_boxes(){
	global $post;
	if(defined('DOING_AUTOSAVE') && DOING_AUTOSAVE){
		return;
	}
	update_post_meta($post->ID,"_pgp", sanitize_key($_POST["_pgp"]));
}

add_action("save_post", "drk_save_pgp_meta_boxes");